<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>doclets/standard/frameOutputWriter.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/frameoutputwriter.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>doclets/standard/frameOutputWriter.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>/*
<a name="line3"></a>PHPDoctor: The PHP Documentation Creator
<a name="line4"></a>Copyright (C) 2004 Paul James <paul@peej.co.uk>
<a name="line5"></a>
<a name="line6"></a>This program is free software; you can redistribute it and/or modify
<a name="line7"></a>it under the terms of the GNU General Public License as published by
<a name="line8"></a>the Free Software Foundation; either version 2 of the License, or
<a name="line9"></a>(at your option) any later version.
<a name="line10"></a>
<a name="line11"></a>This program is distributed in the hope that it will be useful,
<a name="line12"></a>but WITHOUT ANY WARRANTY; without even the implied warranty of
<a name="line13"></a>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
<a name="line14"></a>GNU General Public License for more details.
<a name="line15"></a>
<a name="line16"></a>You should have received a copy of the GNU General Public License
<a name="line17"></a>along with this program; if not, write to the Free Software
<a name="line18"></a>Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
<a name="line19"></a>*/
<a name="line20"></a>
<a name="line21"></a>/** This generates the index.html file used for presenting the frame-formated
<a name="line22"></a> * "cover page" of the API documentation.
<a name="line23"></a> *
<a name="line24"></a> * @package PHPDoctor\Doclets\Standard
<a name="line25"></a> */
<a name="line26"></a>class FrameOutputWriter extends HTMLWriter
<a name="line27"></a>{
<a name="line28"></a>
<a name="line29"></a>	/** Build the HTML frameset.
<a name="line30"></a>	 *
<a name="line31"></a>	 * @param Doclet doclet
<a name="line32"></a>	 */
<a name="line33"></a>	function frameOutputWriter(&$doclet)
<a name="line34"></a>    {
<a name="line35"></a>	
<a name="line36"></a>		parent::HTMLWriter($doclet);
<a name="line37"></a>
<a name="line38"></a>		ob_start();
<a name="line39"></a>		echo <<<END
<a name="line40"></a>		
<a name="line41"></a><frameset cols="20%,80%">
<a name="line42"></a>
<a name="line43"></a><frameset rows="30%,70%">
<a name="line44"></a>
<a name="line45"></a><frame src="overview-frame.html" name="packagelist">
<a name="line46"></a><frame src="allitems-frame.html" name="index">
<a name="line47"></a>
<a name="line48"></a></frameset>
<a name="line49"></a>
<a name="line50"></a><frame src="overview-summary.html" name="main">
<a name="line51"></a>
<a name="line52"></a><noframes>
<a name="line53"></a>    <body>
<a name="line54"></a>        <h2>Frame Alert</h2>
<a name="line55"></a>        <p>This document is designed to be viewed using frames. If you see this message, you are using a non-frame-capable browser.<br>
<a name="line56"></a>        Link to <a href="overview-summary.html">Non-frame version</a>.</p>
<a name="line57"></a>    </body>
<a name="line58"></a></noframes>
<a name="line59"></a>
<a name="line60"></a></frameset>
<a name="line61"></a>END;
<a name="line62"></a>
<a name="line63"></a>		$this->_output = ob_get_contents();
<a name="line64"></a>		ob_end_clean();
<a name="line65"></a>		
<a name="line66"></a>		$this->_write('index.html', FALSE, FALSE);
<a name="line67"></a>	
<a name="line68"></a>	}
<a name="line69"></a>    
<a name="line70"></a>    /** Get the HTML DOCTYPE for this output
<a name="line71"></a>     *
<a name="line72"></a>     * @return str
<a name="line73"></a>     */
<a name="line74"></a>    function _doctype()
<a name="line75"></a>    {
<a name="line76"></a>        return '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">'."\n\n";
<a name="line77"></a>    }
<a name="line78"></a>
<a name="line79"></a>}
<a name="line80"></a>
<a name="line81"></a>?>
<a name="line82"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/frameoutputwriter.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>